summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2020-01-12 00:08:58 +0100
committerJeroen Roovers <jer@gentoo.org>2020-01-12 00:11:47 +0100
commitdd48948f37836ba2964c776d3bd0958f60ccdc5e (patch)
treeb0014bcd85c03f0bf89dcf0dfda378373930c21e /net-analyzer
parentnet-libs/quiche: Require rust 1.39 (diff)
downloadgentoo-dd48948f37836ba2964c776d3bd0958f60ccdc5e.tar.gz
gentoo-dd48948f37836ba2964c776d3bd0958f60ccdc5e.tar.bz2
gentoo-dd48948f37836ba2964c776d3bd0958f60ccdc5e.zip
net-analyzer/fail2ban: Version 0.11.1
Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Diffstat (limited to 'net-analyzer')
-rw-r--r--net-analyzer/fail2ban/Manifest1
-rw-r--r--net-analyzer/fail2ban/fail2ban-0.11.1.ebuild108
2 files changed, 109 insertions, 0 deletions
diff --git a/net-analyzer/fail2ban/Manifest b/net-analyzer/fail2ban/Manifest
index 96d52fcf26f..66b2d4bb5f0 100644
--- a/net-analyzer/fail2ban/Manifest
+++ b/net-analyzer/fail2ban/Manifest
@@ -1,2 +1,3 @@
DIST fail2ban-0.10.4.tar.gz 493104 BLAKE2B 3a58ab114cf25172c77b229ce53bf6dd009d4fb8c700142480ba0212072d8820126bfabf5dd417835bdac5f5b65d599c6dde859d8c57267e90cfb569dc4a2073 SHA512 ee53f2e8dc3cda4f588c60da5227d3d71550496ddfdf5bdbffced25bafd442b8e2352a9ad9f27bf76489903b5b779cdb9614963342de907c1036ae9268b8f35f
DIST fail2ban-0.10.5.tar.gz 520460 BLAKE2B 872b1b2d96d5c79b228cf7c38923161336e452c33fddce75d25004454a5b5d119d435aeb789d55576de4e24bbf8d8288d9fc2fb3f17323074a27857a08e3c6a4 SHA512 d2ad64999031537f2adfc01efd02d2db0718485e38745736339c2e3a1792cd82147fb6cf5a3d371d83dbe91d1afe34e741e038ed4d84d6f444ea1922dc4bb658
+DIST fail2ban-0.11.1.tar.gz 538660 BLAKE2B c88765ac3f49c19e0570248891814c647f2c3515290982de21c7b6c377508189fa53182fca84d62f61b231e250395992e8cf06cc61394dd41150f02d8a254f8b SHA512 019b088aa6375f98742ed101ef6f65adabca3324444d71d5b8597a8d1d22fa76b9f503660f0498643fe24a3b8e4368de916072a1ab77b8e2ea3eda41c3e0c8c6
diff --git a/net-analyzer/fail2ban/fail2ban-0.11.1.ebuild b/net-analyzer/fail2ban/fail2ban-0.11.1.ebuild
new file mode 100644
index 00000000000..2b9834eff16
--- /dev/null
+++ b/net-analyzer/fail2ban/fail2ban-0.11.1.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_6} )
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1 systemd
+
+DESCRIPTION="scans log files and bans IPs that show malicious signs"
+HOMEPAGE="https://www.fail2ban.org/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="selinux systemd"
+
+RDEPEND="
+ virtual/logger
+ virtual/mta
+ selinux? ( sec-policy/selinux-fail2ban )
+ systemd? ( $(python_gen_cond_dep '|| (
+ dev-python/python-systemd[${PYTHON_USEDEP}]
+ sys-apps/systemd[python(-),${PYTHON_USEDEP}]
+ )' 'python*' ) )
+"
+
+RESTRICT="test"
+DOCS=( ChangeLog DEVELOP README.md THANKS TODO doc/run-rootless.txt )
+
+python_prepare_all() {
+ default
+
+ # Replace /var/run with /run, but not in the top source directory
+ find . -mindepth 2 -type f -exec \
+ sed -i -e 's|/var\(/run/fail2ban\)|\1|g' {} + || die
+
+ sed -i -e 's|runscript|openrc-run|g' files/gentoo-initd || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ if python_is_python3; then
+ ./fail2ban-2to3 || die
+ fi
+ distutils-r1_python_compile
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ rm -rf "${D}"/usr/share/doc/${PN} "${D}"/run || die
+
+ # not FILESDIR
+ newconfd files/gentoo-confd ${PN}
+ newinitd files/gentoo-initd ${PN}
+ sed -e "s:@BINDIR@:${EPREFIX}/usr/bin:g" files/${PN}.service.in > "${T}/${PN}.service" || die
+ systemd_dounit "${T}/${PN}.service"
+ systemd_dotmpfilesd files/${PN}-tmpfiles.conf
+ doman man/*.{1,5}
+
+ # Use INSTALL_MASK if you do not want to touch /etc/logrotate.d.
+ # See http://thread.gmane.org/gmane.linux.gentoo.devel/35675
+ insinto /etc/logrotate.d
+ newins files/${PN}-logrotate ${PN}
+
+ keepdir /var/lib/${PN}
+}
+
+pkg_preinst() {
+ has_version "<${CATEGORY}/${PN}-0.7"
+ previous_less_than_0_7=$?
+}
+
+pkg_postinst() {
+ if [[ $previous_less_than_0_7 = 0 ]] ; then
+ elog
+ elog "Configuration files are now in /etc/fail2ban/"
+ elog "You probably have to manually update your configuration"
+ elog "files before restarting Fail2ban!"
+ elog
+ elog "Fail2ban is not installed under /usr/lib anymore. The"
+ elog "new location is under /usr/share."
+ elog
+ elog "You are upgrading from version 0.6.x, please see:"
+ elog "http://www.fail2ban.org/wiki/index.php/HOWTO_Upgrade_from_0.6_to_0.8"
+ fi
+
+ if ! has_version dev-python/pyinotify && ! has_version app-admin/gamin; then
+ elog "For most jail.conf configurations, it is recommended you install either"
+ elog "dev-python/pyinotify or app-admin/gamin (in order of preference)"
+ elog "to control how log file modifications are detected"
+ fi
+
+ if ! has_version dev-lang/python[sqlite]; then
+ elog "If you want to use ${PN}'s persistent database, then reinstall"
+ elog "dev-lang/python with USE=sqlite. If you do not use the"
+ elog "persistent database feature, then you should set"
+ elog "dbfile = :memory: in fail2ban.conf accordingly."
+ fi
+
+ if has_version sys-apps/systemd[-python]; then
+ elog "If you want to track logins through sys-apps/systemd's"
+ elog "journal backend, then reinstall sys-apps/systemd with USE=python"
+ fi
+}